Issue recurring - task #39

Unauthorize when creating recurrence
2023-03-05 16:44 - gawsed55

Status: closed
Priority: bug
Assignee: cryptogopher
Category:

Target version: 1.6

Redmine version: unspecified
Description

Hello, sorry fo pore English.
When | try to make recurrence - | got "Invalid authorize token" in browser and need to login again. Recurrence not adding.

History

#1 - 2023-03-05 17:25 - admin

- Status changed from new to in progress

Hi,

After logging in again: are you able to add recurrence?
Does the problem happen when you refresh page right before adding recurrence?

Because it looks to me like your Redmine session is timing out and you are trying to add recurrence on a stale issue page.

#2 - 2023-03-06 13:45 - qawsed55

Hello!

Earlier, there are no ability to make new recurrence at all. After login - too.
But tonight | have setup some plugins and reinstall yours.

Tried now - it works. ))

| make after copying folders

bundle exec rake redmine:plugins:migrate RAILS_ENV=production
without plugin's name.

Do not know why that error was present (

Sorry for disturb and for pore English.
Thank you for your work!

#3 - 2023-03-06 13:50 - cryptogopher

- Status changed from in progress to closed

I'm happy it works for you :)

Thanks for letting us know how you resolved your problem.

#4 - 2023-03-07 13:07 - gawsed55

https://mega.nz/file/BEdRGByQ#0aKA406pogQ_OPfKyZJ qypuTucXsO-UQ_27NBHmO0b4
here is video with another error HTTP 406

#5 - 2023-06-08 15:08 - cryptogopher

- Status changed from closed to in progress

#6 - 2023-06-08 15:22 - admin
- Priority changed from support to bug

#7 - 2023-11-25 23:15 - issrec

gawsed55 wrote:
https://mega.nz/file/BFdRGByQ#0aKA4o6pogQ_OPfKyZJ_qypuTucXsO-UQ_27NBHm0b4

https://mega.nz/file/BFdRGByQ#0aKA406pogQ_OPfKyZJ qypuTucXsO-UQ 27NBHmO0b4
here is video with another error HTTP 406

See task #45
#8 - 2023-11-25 23:59 - cryptogopher
gawsed55 wrote:

https://mega.nz/file/BFEdRGByQ#0aKA406pogQ_OPfKyZJ qypuTucXsO-UQ 27NBHm0Ob4
here is video with another error HTTP 406

I'm sorry for not responding earlier. | didn't have much time to work on this plugin lately. Hopefully will get back shortly with some improvements in the
new release.

Please report separate issues in new tickets or we risk losing track of them and not getting them resolved. | also appreciate a detailed video of the
problem, but written reports are preferred. Including attached logs etc. which are incomparably easier to analyze than videos.

Don't worry if your English isn't perfect (mine isn't either ;). Use automatic translation or, as a last resort, just write in your native language. We'll see
how it works :)

As for the video: can you confirm that the problem described is the same as in #457?

#9 - 2023-11-26 00:50 - issrec

My configuration: View details...View details...

Environment:
Redmine version 4.2.10.stable
Ruby version 2.7.8-p225 (2023-03-30) [x86_64-1inux]
Rails version 5.2.8.1
Environment production
Database adapter Mysqgl2
Mailer queue ActiveJob: :QueueAdapters: :AsyncAdapter
Mailer delivery smtp
SCM:
Subversion 1.14.1
Mercurial 5.6.1
Bazaar 3.1.0
Git 2.30.2
Filesystem

Redmine plugins:
issue_recurring
redmine_agile
redmine_checklists
redmine_cms

o

redmine_contacts
redmine_contacts_invoices
redmine_issue_dynamic_edit
redmine_issue_templates
redmine_merge_request_links
redmine_people
redmine_resources
redmine_ssl_auth_cn
When error 422 occurs, the following entries can be found in the logs:

I, [2023-11-20T07:38:09.614876 #1] INFO -- : Started POST "/issues/4549/recurrences" for 10.60.35.84 at 2023

-11-20 07:38:09 +0000
I, [2023-11-20T07:38:09.615666 #1] INFO -- : Processing by IssueRecurrencesController#create as HTML
I, [2023-11-20T07:38:09.615770 #1] INFO —— : Parameters: {"utf8"=>"0", "recurrence"=>{"creation_mode"=>"

copy_first", "include_subtasks"=>"false", "multiplier"=>"1", "mode"=>"monthly_day_from_first", "
anchor_to_start"=>"true", "anchor_mode"=>"first_issue_fixed", "delay_multiplier"=>"0", "delay_mode"=>"days"},
"limit_mode"=>"forever", "commit"=>"Submit", "issue_id"=>"4549"}

W, [2023-11-20T07:38:09.615907 #1] WARN -- : Can't verify CSRF token authenticity.

I, [2023-11-20T07:38:09.617795 #1] INFO —- : Rendering common/error.html.erb within layouts/base

I, [2023-11-20T07:38:09.617933 #1] INFO —-- : Rendered common/error.html.erb within layouts/base (0.lms)
I, [2023-11-20T07:38:09.619643 #1] INFO —-- : Rendered plugins/redmine_contacts/app/views/common/
_additional_assets.html.erb (0.2ms)

I, [2023-11-20T07:38:09.619755 #1] INFO -- : Rendering inline template

I, [2023-11-20T07:38:09.620178 #1] INFO —-- : Rendered inline template (0.4ms)
I, [2023-11-20T07:38:09.643473 #1] INFO —-- : Rendered plugins/redmine_contacts/app/views/common/
_contacts_select2_data.html.erb (0.3ms)

I, [2023-11-20T07:38:09.643691 #1] INFO -- : Rendered plugins/redmine_contacts_invoices/app/views/common/
_invoices_select2_data.html.erb (0.1lms)

I, [2023-11-20T07:38:09.643793 #1] INFO —- : Rendered plugins/redmine_people/app/views/people_announcements
/_call_announcements.html.erb (0.0ms)

I, [2023-11-20T07:38:09.644062 #1] INFO —-- : Rendered plugins/redmine_people/app/views/common/
_people_select2_data.html.erb (0.2ms)

I, [2023-11-20T07:38:09.644091 #1] 1INFO -- : Rendered plugins/redmine_people/app/views/common/
_layout_bottom.html.erb (0.3ms)

I, [2023-11-20T07:38:09.644187 #1] INFO -- : Filter chain halted as :verify_authenticity_token rendered or
redirected

I, [2023-11-20T07:38:09.644254 #1] 1INFO -- : Completed 422 Unprocessable Entity in 28ms (Views: 23.6ms |

ActiveRecord: 3.3ms)

As you can see, authenticity_token is missing in the POST request parameters. This is what happens when | leave a cloned plugin project on the
master branch.
The master branch is not the same as tags/1.7, although both are presented as version 1.7 in the GUL.

Due to the above, the command:

git -C issue_recurring/ checkout tags/1.4

from the plugin's installation instruction it seems to be a mandatory command, not an optional one.

#10 - 2023-12-28 00:02 - cryptogopher
- Status changed from in progress to closed
gawsed55 wrote:

https://mega.nz/file/BFEARGByQ#0aKA406pogQ_OPfKyZJ qypuTucXsO-UQ_27NBHmO0b4
here is video with another error HTTP 406

Ok, | rewatched the video and the problem looks like the one described in #45 (you have redmine_issue_dynamic_edit plugin installed). Problem has
been reported to the developer of redmine_issue_dynamic_edit and it seems to be resolved.
